"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const utils = require("../../utils/index");
class EntryTransformer {
    constructor(_settings) {
        this._settings = _settings;
    }
    getTransformer() {
        return (entry) => this._transform(entry);
    }
    _transform(entry) {
        if (this._settings.absolute) {
            entry.path = utils.path.makeAbsolute(this._settings.cwd, entry.path);
        }
        if (this._settings.markDirectories && entry.dirent.isDirectory()) {
            entry.path += path.sep;
        }
        entry.path = utils.path.unixify(entry.path);
        if (this._settings.objectMode) {
            return entry;
        }
        return entry.path;
    }
}
exports.default = EntryTransformer;
