/// <reference types="node" />
import * as fsWalk from '@nodelib/fs.walk';
import * as micromatch from 'micromatch';
export declare type ErrnoException = NodeJS.ErrnoException;
export declare type Entry = fsWalk.Entry;
export declare type EntryItem = string | Entry;
export declare type Pattern = string;
export declare type PatternRe = RegExp;
export declare type PatternsGroup = Record<string, Pattern[]>;
export interface ReaderOptions extends fsWalk.Options {
    basePath: string | null;
    deepFilter: DeepFilterFunction;
    entryFilter: EntryFilterFunction;
    fs: FileSystemAdapter;
    stats: boolean;
    transform(entry: Entry): EntryItem;
}
export declare type ErrorFilterFunction = fsWalk.ErrorFilterFunction;
export declare type EntryFilterFunction = fsWalk.EntryFilterFunction;
export declare type DeepFilterFunction = fsWalk.DeepFilterFunction;
export declare type EntryTransformerFunction = (entry: Entry) => EntryItem;
export declare type MicromatchOptions = micromatch.Options & {
    posix?: boolean;
};
export declare type FileSystemAdapter = fsWalk.FileSystemAdapter;
