"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
/**
 * Designed to work only with simple paths: `dir\\file`.
 */
function unixify(filepath) {
    return filepath.replace(/\\/g, '/');
}
exports.unixify = unixify;
/**
 * Simplified version of the `path.normalize` method.
 *
 * Designed to work only with simple paths: `dir/file`.
 */
function platformify(filepath) {
    return filepath.replace(/[\\\/]/g, path.sep);
}
exports.platformify = platformify;
function makeAbsolute(cwd, filepath) {
    return path.resolve(cwd, filepath);
}
exports.makeAbsolute = makeAbsolute;
